Runtime Infrastructure - Bug #7462

fix 'AS' instead of '4GL’' in LOG-MANAGER log lines and add an incompatible FWD and FWD-AS for

4GL and AS texis
06/22/2023 10:35 AM - Constantin Asofiei
History

#1 - 06/22/2023 10:36 AM - Constantin Asofiei

- Related to Feature #3853: implement LOG-MANAGER runtime added

#2 - 06/22/2023 10:41 AM - Constantin Asofiei

When used on 4GL client, LOG-MANAGER outputs this:

[23/06/22@17:39:10.142+0300] P-003276 T-003280 1 4GL -- Logging level set to = 2

[23/06/22@17:39:10.142+0300] P-003276 T-003280 1 4GL —-- No entry types are activated

[23/06/22@17:39:10.142+0300] P-003276 T-003280 1 4GL APPL

for this code:

log-manager:logfile-name = "a.txt".
log-manager:write-message ("abc") .

When used with appserver, the log lines are these:

abc

[23/06/22@17:41:23.713+0300] P-004380 T-004376 2 AS AS Application Server connected with connection id:
8.0.136::catest::4090::085ad9%9a485f0092e:-61441c55:188e38¢c9200:-7£fdf.

[23/06/22@17:41:23.713+0300] P-004380 T-004376 1 AS APPL

abc

192.16

[23/06/22@17:41:23.714+0300] P-004380 T-004376 2 AS AS Application Server disconnected with connection id: 192

.168.0.136::catest::4090::085ad9a485£0092e:-61441c55:188e38c9200:-7£df.

Note how 'AS' is used instead of '4GL'". This needs to be fixed so we are compatible.

In addition, we can provide an incompatible mode, where:

e instead of '4GL', we use 'FWD'
® instead of 'AS', we use 'FWD-AS'

(8359)

This incompatible configuration would be somewhere in directory.xml (not sure yet what section is appropriate).
#3 - 06/23/2023 01:01 AM - Galya B

This is not a bug, this is a unimplemented feature. AS proper support was supposed to be worked under #3853.

#4 - 06/23/2023 01:23 AM - Constantin Asofiei
OK, sorry about that. | keep forgetting that LOG-MANAGER needs more work.
